﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Reflection;

namespace howto_list_loaded_assemblies
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ListAssemblies();
        }
        private void btnListAssemblies_Click(object sender, EventArgs e)
        {
            ListAssemblies();
        }

        // List the assemblies.
        private void ListAssemblies()
        {
            lblNumAssemblies.Text = "";
            lstAssemblies.Items.Clear();
            Cursor = Cursors.WaitCursor;
            Refresh();

            foreach (Assembly assembly in AppDomain.CurrentDomain.GetAssemblies())
                lstAssemblies.Items.Add(assembly.GetName().Name);

            // Display the number of assemblies.
            lblNumAssemblies.Text = lstAssemblies.Items.Count.ToString() + " assemblies";
            Cursor = Cursors.Default;
        }
    }
}
